## visad.data.in
Class DataInputFilter

    java.lang.Object
      visad.data.in.DataInputFilter

All Implemented Interfaces:
  DataInputStream

Direct Known Subclasses:
  Consolidator, Selector, TimeFactorer

public abstract class DataInputFilter
extends Object
implements DataInputStream

Provides support for a filter-module in a data-import pipe. In general, such a filter-module obtains VisAD data objects its upstream data source and transforms them in some way before passing them on.

Constructor Summary
`protected` `DataInputFilter(DataInputStream source)` Constructs from an upstream data source.

Method Summary
`DataInputStream` `getSource()` Returns the upstream data source.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface visad.data.in.DataInputStream
`readData`

Constructor Detail

### DataInputFilter

    protected DataInputFilter(DataInputStream source)
                       throws VisADException

  Constructs from an upstream data source.

Parameters:
  `source` - The upstream data source. May not be `null`.
Throws:
  `VisADException` - The upstream data source is `null`.

Method Detail

### getSource

    public final DataInputStream getSource()

  Returns the upstream data source.

  Returns:
    The upstream data source.